Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 02-07-2013, 08:23 AM   #1
gassville
Junior Member
gassville began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Feb 2013
Device: none
Sigil requires OpenCL?

I'm running OSX 10.6.8 on a circa 2006 intel dual core mac.

I am a first time sigil user. Today I attempted to install Sigil-0.6.2 for OSX. Downloaded the dmg file, opened it, copied the app to my apps folder, and attempted to launch it. An error panel immediately pops up: "You can't open the application Sigil.app because it is not supported on this type of Mac".

Also, the app's desktop icon is an S covered by the universal no indicator (circle and slash). So, I believe the error message is coming from the OS, not from sigil itself.

I have had this same thing happen to me with one other app (called Ready), and I found that the app required OpenCL, which my machine is too old to support. So ... does Sigil require OpenCL?

I tried looking through support documents, and this forum, for info about OpenCL but I didn't find any.

Mainly I'm looking for confirmation that sigil won't run on this machine, so that I won't spend more time trying.

Thanks for any help,
Gassville
gassville is offline   Reply With Quote
Old 02-07-2013, 08:50 AM   #2
theducks
Grand Sorcerer
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 13,630
Karma: 5126946
Join Date: Aug 2009
Location: The (original) Silicon Valley, USA
Device: Galaxy Tab 2, Astak Pocket Pro, K4NT
Quote:
Originally Posted by gassville View Post
I'm running OSX 10.6.8 on a circa 2006 intel dual core mac.

I am a first time sigil user. Today I attempted to install Sigil-0.6.2 for OSX. Downloaded the dmg file, opened it, copied the app to my apps folder, and attempted to launch it. An error panel immediately pops up: "You can't open the application Sigil.app because it is not supported on this type of Mac".

Also, the app's desktop icon is an S covered by the universal no indicator (circle and slash). So, I believe the error message is coming from the OS, not from sigil itself.

I have had this same thing happen to me with one other app (called Ready), and I found that the app required OpenCL, which my machine is too old to support. So ... does Sigil require OpenCL?

I tried looking through support documents, and this forum, for info about OpenCL but I didn't find any.

Mainly I'm looking for confirmation that sigil won't run on this machine, so that I won't spend more time trying.

Thanks for any help,
Gassville
This subject has been recently covered.
There is a older MAC compiled version here (in Sigil section) at MR (not AT the official download site) that appears to function.
I will leave the work of looking back in the last few months for it, to you. You might spot some othe good stuff while you browse
theducks is offline   Reply With Quote
Old 02-07-2013, 09:50 AM   #3
dynabook
Techno-geek
dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.dynabook ought to be getting tired of karma fortunes by now.
 
Posts: 165
Karma: 1116651
Join Date: Nov 2006
Location: Mississippi, USA
Device: PRS-T1 (Black), PRS-T3S (Black)
Try pdurrant's compiled version in the thread "Sigil 0.6.2 released" post #8.
--MH
dynabook is offline   Reply With Quote
Old 02-07-2013, 10:36 AM   #4
gassville
Junior Member
gassville began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Feb 2013
Device: none
Quote:
This subject has been recently covered.
...
I will leave the work of looking back in the last few months for it, to you. You might spot some othe good stuff while you browse.
Thanks for your prompt answer, though I seriously could do without the snippy "You might spot some othe good stuff while you browse." I spent about a half hour searching through the forum, and through the user guide, prior to posting. I didn't find anything relevant. Mea culpa. But I certainly did make an effort.

I guess you must mean thread 198807 "Sigil 0.6.2 for Mac repeatedly crashes on starting". Am I right?

What follows probably sounds like complaints, but should instead be taken as observations. I wouldn't normally bother to make points like this, but since your snippy comment seems to imply laziness on my part, well, here they are.

After hunting around some more I found the wiki page "InstallationInstructions", which indicates OSX 10.8+ is required. Before posting, I'd tried to discover whether there was an OS requirement, and looked at the sigil user guide. Finding a "installation" section there which didn't mention any such requirement, I failed to realize there'd be additional installation information in the wiki. Actually, I failed to realize there even was a wiki, since the users guide has the appearance of being thorough.

Prior to that, I looked for release notes for Sigil-6.0.2, hoping (actually expecting) that these would indicate any hardware and/or OS requirements. I didn't find any such release notes (hunting around code.google.com/p/sigil). Maybe they are there, somewhere, but I didn't find them. Many programs include such installation information in a file as part of the download. It doesn't look like sigil does that. From what I call tell, release notes are posted to this forum when the release is made. E.g. thread 198756. Except a quick glance at 198756 (as I did take prior to posting) leads one to think there are no special requirements. One has to read down a ways before one discovers someone had problems running it with the same OS I am (though, even looking at that now, I don't think I would have recognized the crash log posted there as being related to my problem).

In summary, I do thank you for your reply, which I believe has answered my question.

Gassville
gassville is offline   Reply With Quote
Old 02-07-2013, 10:49 AM   #5
gassville
Junior Member
gassville began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Feb 2013
Device: none
Thanks, ducks. Looks like OSX 10.7 or maybe 10.8 is required for 0.6.2. Mea culpa for failing to find that after spending 30 minutes searching the user's guide and forum prior to posting.

Regarding the snippy comment "I will leave the work of looking back in the last few months for it, to you. You might spot some othe good stuff while you browse", which seems to imply I'm lazy and didn't bother to find this information prior to posting. Nothing could be further from the truth. Many packages include release notes that indicate if there are OS or hardware requirements. I looked for these, didn't find them. I found a section on installation in the user's guide, but it lists no requirements. My bad, after finding "installation" in the user guide, I didn't think to look for it in the wiki (where I now find 10.8 is required). I found an announcement for 0.6.2 in the forum. My bad again, I didn't see any requirements in the initial posted announcement, and I didn't think to read the later responses. My bad, after trying a few search terms at the forum, and after looking at two pages of thread title listings, and not seeing anything jump out as relevant, I gave up and posted a question.
gassville is offline   Reply With Quote
Old 02-07-2013, 11:03 AM   #6
theducks
Grand Sorcerer
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 13,630
Karma: 5126946
Join Date: Aug 2009
Location: The (original) Silicon Valley, USA
Device: Galaxy Tab 2, Astak Pocket Pro, K4NT
Search terms in MR are hit or miss. They seem to depend a lot on tags. Sometimes I remember to add tags to a thread that has none when I see and can think of a concise tag.
MACs (and some Linux) throw a curve because many users use a Release Name not a number. If you happen to search on the wrong one
theducks is offline   Reply With Quote
Old 02-07-2013, 11:11 AM   #7
JSWolf
Suspended
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
Posts: 35,392
Karma: 16147088
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Sony Reader PRS-650, iPad, nook STR
Quote:
Originally Posted by gassville View Post
Thanks, ducks. Looks like OSX 10.7 or maybe 10.8 is required for 0.6.2. Mea culpa for failing to find that after spending 30 minutes searching the user's guide and forum prior to posting.
Here is a version of Sigil 0.6.2 that will run on OS X 10.6.8 with an Intel processor. The link is to the message that contains the link to the version of Sigil you need.

http://www.mobileread.com/forums/sho...71&postcount=8
JSWolf is offline   Reply With Quote
Old 02-07-2013, 11:30 AM   #8
pdurrant
The Grand Mouse
pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.pdurrant ought to be getting tired of karma fortunes by now.
 
pdurrant's Avatar
 
Posts: 29,402
Karma: 83792800
Join Date: Jul 2007
Location: Norfolk, England
Device: NOOK ST GlowLight
Quote:
Originally Posted by gassville View Post
I'm running OSX 10.6.8 on a circa 2006 intel dual core mac.
If that's a Core2Duo (i.e. 64-bit processor) then the version I've compiled that people have linked to will work.

If it's one of the older Core Duo machines (i.e. 32-bit only) then it won't.
pdurrant is online now   Reply With Quote
Old 02-07-2013, 02:23 PM   #9
JSWolf
Suspended
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
Posts: 35,392
Karma: 16147088
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Sony Reader PRS-650, iPad, nook STR
I didn't think there were dual-core processors that were not 64-bit.
JSWolf is offline   Reply With Quote
Old 02-07-2013, 02:47 PM   #10
meme
Sigil developer
meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.
 
Posts: 1,275
Karma: 1101600
Join Date: Jan 2011
Location: UK
Device: Kindle PW, K4 NT, K3, Kobo Touch
Quote:
Originally Posted by gassville View Post
After hunting around some more I found the wiki page "InstallationInstructions", which indicates OSX 10.8+ is required. Before posting, I'd tried to discover whether there was an OS requirement, and looked at the sigil user guide. Finding a "installation" section there which didn't mention any such requirement, I failed to realize there'd be additional installation information in the wiki. Actually, I failed to realize there even was a wiki, since the users guide has the appearance of being thorough.
The User Guide chapter on Installation clearly states "Sigil only runs on MAC OS 10.7 (Mountain Lion) x64 bit or higher." The wiki clearly states "Requires 10.8+ (Mountain Lion) on Intel Macs with a x64 processor." But if you try the official 0.6.2 on 10.7.5 it will crash.

We know it needs to be sorted out. The wiki entry probably shouldn't be there - most of the entries were cleared out once the guide went up. 0.6.2 should work on 10.7.5 but there was a build problem. Fixing it has had to wait until 0.7.0. The version requirements, at least for MAC should probably be on the main page as well. And I might change the linuxdistro page to include the link for the older MAC builds
meme is offline   Reply With Quote
Old 02-07-2013, 03:51 PM   #11
gassville
Junior Member
gassville began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Feb 2013
Device: none
Quote:
The User Guide chapter on Installation clearly states "Sigil only runs on MAC OS 10.7 (Mountain Lion) x64 bit or higher."
Given my previous statements, I'm thinking of changing my handle from gassville to gassbag. Honestly, I looked right at that Installation page time and time again and never noticed that.
gassville is offline   Reply With Quote
Old 02-07-2013, 04:09 PM   #12
meme
Sigil developer
meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.meme ought to be getting tired of karma fortunes by now.
 
Posts: 1,275
Karma: 1101600
Join Date: Jan 2011
Location: UK
Device: Kindle PW, K4 NT, K3, Kobo Touch
Probably because 10.7 clearly isn't Mountain Lion. (Obviously I don't have a MAC )
meme is offline   Reply With Quote
Old 02-07-2013, 05:30 PM   #13
JSWolf
Suspended
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
Posts: 35,392
Karma: 16147088
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Sony Reader PRS-650, iPad, nook STR
Quote:
Originally Posted by gassville View Post
Given my previous statements, I'm thinking of changing my handle from gassville to gassbag. Honestly, I looked right at that Installation page time and time again and never noticed that.
Have you tried pdurrant's compiled version of 0.6.2 yet?
JSWolf is offline   Reply With Quote
Old 02-07-2013, 07:42 PM   #14
gassville
Junior Member
gassville began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Feb 2013
Device: none
Quote:
Originally Posted by JSWolf View Post
Have you tried pdurrant's compiled version of 0.6.2 yet?
Had to wait until I got home, and had supper. And did some Valentine's day crafts because we're celebrating that this weekend.

I had little hope for the version you mention, because post 8 in 198756 says it needs a 64bit cpu. And sure enough, I get the same circle and slash across the app icon. In spite of a previous poster's questioning whether there every existed 32-bit dual cores, that's what this machine is (apr/2006 iMac). On the command line, arch command says "i386".

I'd say my best bet is to try a more modern CPU and OS. I have access to some other macs that I could try this out on.

The other possibility would be to try to compile it on this machine, but it's been a decade since I've done any builds other than for command-line tools and I doubt my xcode is any where near up to date. Not worth the battle for something I've never used and am just trying to evaluate to see if it meets my needs.

Thanks for the help.
Gassbagg

http://s.mobileread.com/i/smiliestext/thankyou.gif
gassville is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
PRS-T1 PRS-T1 Requires OS 10.7 on Mac ?! Jane12 Sony Reader 17 10-05-2011 08:11 PM
why ebook-convert requires x11? jose1711 Recipes 2 06-12-2011 05:12 AM
unpack requires a string argument of length 2 Sannepan Calibre 2 02-23-2010 02:05 PM
Does epub on 505 requires formatting? lovemov Sony Reader 11 04-02-2009 10:44 AM


All times are GMT -4. The time now is 07:40 AM.


MobileRead.com is a privately owned, operated and funded community.